commit: 2a0bfd380091dc7f2e1f1d1b91f59918873c91b1
Author: Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 18 19:10:55 2021 +0000
Commit: Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Sun Jul 18 19:11:08 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2a0bfd38
sci-mathematics/singular: new upstream version 4.2.1.
Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>
sci-mathematics/singular/Manifest | 1 +
sci-mathematics/singular/singular-4.2.1.ebuild | 117 +++++++++++++++++++++++++
2 files changed, 118 insertions(+)
diff --git a/sci-mathematics/singular/Manifest
b/sci-mathematics/singular/Manifest
index 13b96e74c09..1a947fd6580 100644
--- a/sci-mathematics/singular/Manifest
+++ b/sci-mathematics/singular/Manifest
@@ -1,2 +1,3 @@
DIST singular-4.2.0p1.tar.gz 14155171 BLAKE2B
444553f87d7ca8d6a62e4519c9857a6892757e92285df7c3b686913a9b51c9ae8d802c41382b0b2b6e37dc2dc496d4a10f262c98407470219cdce131e8baf127
SHA512
2ecd8940c9e8d70a93dbdb4df6da313c00151e5cb959f8eed5856e8df99089b5a03e514fbcdc70903c77df8b59fa7ef9f3b134f1de510b795fa6ea0341089bd8
DIST singular-4.2.0p3.tar.gz 16641923 BLAKE2B
4dd7e1a42c71bbba625e171aee656580b443656f50458909ffae1af81b1413d5330aa032656032ea365225eb088491fe2a48997895e37bc89eea5f17b8fbebb8
SHA512
b9833389b648ec4ba2bd09253f00254b9ae3dc61313fc81c9003b283fc413caab4274e55750de1c342ef24a8fc0ce817643cd31eabbb2999de7f5017dfa1411f
+DIST singular-4.2.1.tar.gz 16643430 BLAKE2B
2cfc33bd59a5e8756c7ce022ad2b38477a0d7a6747b3c4fd4b1b168cfd179ace52121506cda2c4d5f318abca72231c74f649ede349b17b5f138083428d9da766
SHA512
48bebbe9c886ee56bb2f7bdd9e356bd33e357a2d707c976b8496200f422a2ba25d7c9bba22a261574428abf73a8b6b111d35236fca647e32619659059e861916
diff --git a/sci-mathematics/singular/singular-4.2.1.ebuild
b/sci-mathematics/singular/singular-4.2.1.ebuild
new file mode 100644
index 00000000000..0f3497acf49
--- /dev/null
+++ b/sci-mathematics/singular/singular-4.2.1.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools elisp-common flag-o-matic
+
+MY_PN=Singular
+MY_PV=$(ver_rs 3 '')
+# Consistency is different...
+MY_DIR2=$(ver_cut 1-3 ${PV})
+MY_DIR=$(ver_rs 1- '-' ${MY_DIR2})
+
+DESCRIPTION="Computer algebra system for polynomial computations"
+HOMEPAGE="https://www.singular.uni-kl.de/ https://github.com/Singular/Sources"
+SRC_URI="ftp://jim.mathematik.uni-kl.de/pub/Math/${MY_PN}/SOURCES/${MY_DIR}/${PN}-${MY_PV}.tar.gz"
+
+LICENSE="BSD GPL-2 GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~x86-linux"
+IUSE="emacs examples +readline static-libs"
+
+RDEPEND="dev-libs/gmp:0
+ dev-libs/ntl:=
+ emacs? ( >=app-editors/emacs-23.1:* )
+ sci-mathematics/flint
+ sci-libs/cddlib
+ dev-lang/perl
+ readline? ( sys-libs/readline )"
+
+DEPEND="${RDEPEND}"
+
+SITEFILE=60${PN}-gentoo.el
+
+S="${WORKDIR}/${PN}-${MY_DIR2}"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-4.2.0-doc_install-v2.patch"
+)
+
+src_prepare() {
+ default
+
+ eautoreconf
+}
+
+src_configure() {
+ # Needed to avoid segfaults in the test suite until
+ #
+ # https://github.com/Singular/Singular/issues/1105
+ #
+ # makes its way into a release.
+ append-cxxflags $(test-flags-CXX -fno-delete-null-pointer-checks)
+
+ econf \
+ --with-gmp \
+ --with-ntl \
+ --with-flint \
+ --enable-gfanlib \
+ --disable-debug \
+ --disable-doc \
+ --enable-factory \
+ --enable-libfac \
+ --disable-polymake \
+ --with-libparse \
+ --disable-optimizationflags \
+ --without-python \
+ --without-pythonmodule \
+ --disable-python \
+ --disable-python-module \
+ --disable-python_module \
+ --disable-pyobject-module \
+ $(use_enable static-libs static) \
+ $(use_enable emacs) \
+ $(use_with readline)
+}
+
+src_compile() {
+ default
+
+ if use emacs; then
+ pushd "${S}"/emacs
+ elisp-compile *.el || die "elisp-compile failed"
+ popd
+ fi
+}
+
+src_install() {
+ # Do not compress singular's info file (singular.hlp)
+ # some consumer of that file do not know how to deal with compression
+ docompress -x /usr/share/info
+
+ default
+
+ dosym Singular /usr/bin/"${PN}"
+
+ # purge .la file
+ find "${ED}" -name '*.la' -delete || die
+}
+
+src_test() {
+ # SINGULAR_PROCS_DIR need to be set to "" otherwise plugins from
+ # an already installed version of singular may be used and cause
segfault
+ # See https://github.com/Singular/Sources/issues/980
+ SINGULAR_PROCS_DIR="" emake check
+}
+
+pkg_postinst() {
+ einfo "Additional functionality can be enabled by installing"
+ einfo "sci-mathematics/4ti2"
+
+ use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}